.menu__open {
  appearance: none;
  border: none;
  background: transparent;
  display: inline-flex;
  left: 50%;
  position: relative;
  transform: translateX(-50%);
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  &::before {
    @include pseudo;
    width: 19px;
    height: 17px;
    background-image: url("../images/burger.svg");
    margin-right: 11px;
  }
}

.menu__inner {
  position: absolute;
  width: 100%;
  background-color: #ffffff;
  padding: 30px;
  top: 0;
  left: 0;
  min-height: 240px;
  transform: translateY(-100%);
  transition: all 0.3s;
  z-index: 300;

  &--active {
    transform: translateY(0);
  }
}

.menu__close {
  background-color: transparent;
  border: none;
  padding: 0;
  display: block;
  margin: 0 auto;
  margin-bottom: 57px;
}

.menu__list {
  @include list-reset;
  text-align: center;
}

.menu__item {
  font-size: 16px;
  line-height: 19px;
  &:not(:last-child) {
    margin-bottom: 57px;
  }
}

@media (min-width: 768px) {
  .menu__open {
    left: unset;
    transform: unset;
  }
}

@media (min-width: 1200px) {
  .menu__open {
    display: none;
  }

  .menu__close {
    display: none;
  }

  .menu__inner {
    transform: unset;
    position: relative;
    left: unset;
    top: unset;
    padding: 0;
    background-color: transparent;
    min-height: unset;
  }

  .menu__item {
    font-size: 16px;
    line-height: 19px;

    &--current {
      font-weight: 400;
    }

    &:not(:last-child) {
      margin-bottom: 0;
    }
  }
}
